Subject: bug#16119: 24.3.50; emacs aborted -- [xcb] Unknown request in queue while appending request

From: Dmitry Antipov <[email-masked]>
Date: Thu, 12 Dec 2013 17:05:06 +0400

On 12/12/2013 04:25 PM, Nicolas Richard wrote:

> I assumed that collecting all backtraces could be done via "thread <id>" and then "bt".
> Here's what I've done :
> (gdb) info threads
>    Id   Target Id         Frame
>    6    Thread 0xb1d93b40 (LWP 10061) "emacs" deliver_input_available_signal (sig=29) at keyboard.c:7151
>    5    Thread 0xb2594b40 (LWP 10060) "emacs" 0xb6efd325 in sys_futex0 (val=4, op=<optimized out>, addr=0xb4f83fc) at /var/tmp/portage/sys-devel/gcc-4.6.3/work/gcc-4.6.3/libgomp/config/linux/x86/futex.h:90
>    4    Thread 0xb38ffb40 (LWP 8571) "dconf worker" 0xb7fdf424 in __kernel_vsyscall ()
>    3    Thread 0xb42a8b40 (LWP 8570) "gdbus" 0xb7fdf424 in __kernel_vsyscall ()
>    2    Thread 0xb4cceb40 (LWP 8569) "gmain" 0xb7fdf424 in __kernel_vsyscall ()
> * 1    Thread 0xb5077880 (LWP 8565) "emacs" 0xb7fdf424 in __kernel_vsyscall ()

Having 6 threads (and 3 of them are "emacs") is a total mess. This is what I have for 'emacs -Q' and C-c in gdb:

(gdb) i thr
   Id   Target Id         Frame
   4    Thread 0x7fffeeb1f700 (LWP 11538) "gdbus" 0x0000003869aeb7fd in poll () at ../sysdeps/unix/syscall-template.S:81
   3    Thread 0x7fffef320700 (LWP 11536) "dconf worker" 0x0000003869aeb7fd in poll () at ../sysdeps/unix/syscall-template.S:81
   2    Thread 0x7fffefe82700 (LWP 11534) "gmain" 0x0000003869aeb7fd in poll () at ../sysdeps/unix/syscall-template.S:81
* 1    Thread 0x7ffff65b5a80 (LWP 11530) "emacs" 0x0000003869aed629 in __pselect (nfds=11, readfds=0x7fffffffcfc0,
     writefds=0x7fffffffcf40, exceptfds=0x0, timeout=<optimized out>, sigmask=<optimized out>)
     at ../sysdeps/unix/sysv/linux/pselect.c:77

It becomes curious to look into your Emacs binary. Can you upload it somewhere?
(To be honest, I'm suspecting a brain-damaged toolchain or glibc setup).

Dmitry